<?php

namespace IQBall\App\Controller;

use IQBall\App\Session\SessionHandle;
use IQBall\App\ViewHttpResponse;
use IQBall\Core\Model\TacticModel;

class UserController {
    private TacticModel $tactics;

    /**
     * @param TacticModel $tactics
     */
    public function __construct(TacticModel $tactics) {
        $this->tactics = $tactics;
    }

    /**
     * @param SessionHandle $session
     * @return ViewHttpResponse the home page view
     */
    public function home(SessionHandle $session): ViewHttpResponse {
        $lastTactic = $this->tactics->getLast(5);
        var_dump($lastTactic);
        return ViewHttpResponse::react("views/Home.tsx", [
            "tactics" => $lastTactic
        ]);
        // return ViewHttpResponse::react("views/Home.tsx", []);
    }

    private function listTacticToJson(array $listTactic) : array {
        $jsonReturn = [];
        foreach ($listTactic as $tactic){
            //var_dump($tactic);
            $jsonTactic = [
                "id" => $tactic["id"],
                "name" => $tactic["name"],
                "creationDate" => $tactic["creation_date"]
            ];
            array_push($jsonReturn, $jsonTactic);
        }
        // var_dump($jsonReturn);
        return $jsonReturn;
    }

    public function homeTwig(SessionHandle $session): ViewHttpResponse {
        return ViewHttpResponse::twig("home.twig", []);
    }

    /**
     * @return ViewHttpResponse account settings page
     */
    public function settings(SessionHandle $session): ViewHttpResponse {
        return ViewHttpResponse::twig("account_settings.twig", []);
    }

}
